#include <catch2/catch.hpp>

TEST_CASE()
{
    auto const x = 15.63;
    auto const y = 1.23;

    auto const sum = 16.86;
    CHECK(x + y == sum);

    auto const difference = 14.4;
    CHECK(x - y == difference);
    CHECK(y - x == -difference);

    auto const product = 19.2249;
    CHECK(x * y == product);

    auto const expected = 12.7073170732;
    auto const actual = x / y;
    auto const acceptable_delta = 0.0000001;
    CHECK(std::abs(expected - actual) < acceptable_delta);
}